jueves, 6 de marzo de 2014

Vulnerabilidad remota en impresoras HP LaserJet

Hewlett-Packard ha alertado de una nueva vulnerabilidad presente en 39 modelos de impresoras de las familias HP LaserJet MFP, HP Color LaserJet MFP y también algunos modelos de HP LaserJet que permitiría el acceso remoto a archivos en el dispositivo e incluso la ejecución de código arbitrario.

El problema reside en una escalada de directorios en el intérprete PostScript, con CVE-2012-5221 y un CVSS de 7.8, podría permitir acceso a datos e información en los dispositivos afectados e incluso lograr la ejecución de código arbitrario. Al abrir los archivos el intérprete PostScript no valida las posibles secuencias incluidas de escape de directorios (tales como "../"). De esta forma una orden de impresión maliciosa podría llegar a abrir, leer y escribir archivos arbitrarios fuera de la "sandbox" de trabajos de impresión. Además, el intérprete se ejecuta con privilegios de root, lo que podría permitir a un atacante ejecutar código arbitrario sobrescribiendo librerías del sistema, o añadir usuarios al archivo de contraseñas.

Muchos de los modelos afectados son dispositivos multifunción, con escáner, fax, lector de tarjetas o capacidades de impresión inalámbrica, por lo que el acceso a diferentes tipos de información podría ser mayor. No es la primera vez que este tipo de impresoras se ven afectadas por problemas similares.

HP ha facilitado un firmare actualizado para cada uno de los modelos, disponible desde:
http://www.hp.com/ en la sección "Drivers & Software"

La lista completa de modelos afectados es la siguiente:
La impresora HP Color LaserJet CP3505 entre los
dispositivos afectados
HP Color LaserJet 3000 
HP Color LaserJet 3800 
HP Color LaserJet 4700 
HP Color LaserJet 4730 Multifunction Printer 
HP Color LaserJet CM4730 Multifunction Printer 
HP Color LaserJet 5550 
HP Color LaserJet 9500 Multifunction Printer 
HP Color LaserJet CM6030 Multifunction Printer 
HP Color LaserJet CM6040 Multifunction Printer 
HP Color LaserJet CP3505 
HP Color LaserJet CP3525 
HP Color LaserJet CP4005 
HP Color LaserJet CP6015 
HP Color LaserJet Enterprise CP4025 
HP Color LaserJet Enterprise CP4525 
HP LaserJet 4240 
HP LaserJet 4250 
HP LaserJet 4345 Multifunction Printer 
HP LaserJet 4350
HP LaserJet 5200L 
HP LaserJet 5200N
HP LaserJet 9040 
HP LaserJet 9040 Multifunction Printer 
HP LaserJet 9050
HP LaserJet 9050 Multifunction Printer 
HP LaserJet Enterprise P3015 
HP LaserJet M3027 Multifunction Printer 
HP LaserJet M3035 Multifunction Printer 
HP LaserJet CM3530 Multifunction Printer 
HP LaserJet M4345 Multifunction Printer 
HP LaserJet M5025 Multifunction Printer 
HP LaserJet M5035 Multifunction Printer 
HP LaserJet M9040 Multifunction Printer 
HP LaserJet M9050 Multifunction Printer 
HP LaserJet P3005 
HP LaserJet P4014 
HP LaserJet P4015 
HP LaserJet P4515 
HP 9250c Digital Sender 

Más información:

HPSBPI02869 SSRT100936 rev.3 - HP LaserJet MFP Printers, HP Color LaserJet MFP Printers, Certain HP LaserJet Printers, Remote Unauthorized Access to Files

Hewlett-Packard Multiple Printers PostScript Interpreter Directory Traversal Vulnerability

Antonio Ropero
Twitter: @aropero

No hay comentarios:

Publicar un comentario en la entrada